/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.introspection.items;

import static java.util.Collections.emptyList;

import java.util.List;

import org.fortiss.tooling.kernel.introspection.IIntrospectionItem;

/**
 * Base class implementing {@link IIntrospectionItem}.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 8165642D3B24BCE00BC0CDF0C5BF8C49
 */
public abstract class IntrospectionItemBase implements IIntrospectionItem {

	/** The item label. */
	private final String label;

	/** Constructor. */
	public IntrospectionItemBase(String label) {
		this.label = label;
	}

	/** {@inheritDoc} */
	@Override
	public final String getIntrospectionLabel() {
		return label;
	}

	/** {@inheritDoc} */
	@Override
	public List<IIntrospectionItem> getIntrospectionItems() {
		return emptyList();
	}
}
